// PSampleView.h : interface of the CPSampleView class
//


#pragma once


class CPSampleView : public CView
{
protected: // create from serialization only
	CPSampleView();
	DECLARE_DYNCREATE(CPSampleView)

// Attributes
public:
	CPSampleDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
    void OnInitialUpdate();

// Implementation
public:
	virtual ~CPSampleView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnHelpPrivacystatement();
	afx_msg void OnToolsOptions();
	afx_msg void OnHelpPrivacyreport();
};

#ifndef _DEBUG  // debug version in PSampleView.cpp
inline CPSampleDoc* CPSampleView::GetDocument() const
   { return reinterpret_cast<CPSampleDoc*>(m_pDocument); }
#endif

