// ReportDialog.cpp : implementation file
//

#include "stdafx.h"
#include "PSample.h"
#include "ReportDialog.h"


// CReportDialog dialog

IMPLEMENT_DYNAMIC(CReportDialog, CDialog)
CReportDialog::CReportDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CReportDialog::IDD, pParent)
{
	memset(m_szBuffer, ' ', sizeof(m_szBuffer));
}

CReportDialog::~CReportDialog()
{
}

void CReportDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CReportDialog, CDialog)
END_MESSAGE_MAP()



BOOL CReportDialog::OnInitDialog()
{
	CDialog::OnInitDialog();

	 
	m_hFile = CreateFile("PrivacyReport.TXT",   // File name 
				  GENERIC_READ | GENERIC_WRITE, // Open file for writing 
				  0,                            // Do not share 
				  NULL,                         // Use default security 
				  OPEN_ALWAYS,                  // Open the file if it exists
				  FILE_ATTRIBUTE_ENCRYPTED,     // Encrypt the file
				  NULL);                        // Don't use template file

	// If the file was not created/opened display an error
	if (m_hFile != INVALID_HANDLE_VALUE) 
	{

		DWORD dwBytesRead;
		DWORD dwSize;

		dwSize = GetFileSize (m_hFile, NULL); 
 
		// If the file has data in it place it in the dialog
		if ((dwSize > 0)&& (dwSize != INVALID_FILE_SIZE)) 
		{ 
			ReadFile(m_hFile, m_szBuffer, 128, &dwBytesRead, NULL);
			m_szBuffer[128] = 0;
			SetDlgItemText(IDC_TITLE, m_szBuffer);

			ReadFile(m_hFile, m_szBuffer, 128, &dwBytesRead, NULL);
			m_szBuffer[128] = 0;
			SetDlgItemText(IDC_ORG, m_szBuffer);

			ReadFile(m_hFile, m_szBuffer, 48, &dwBytesRead, NULL);
			m_szBuffer[48] = 0;
			SetDlgItemText(IDC_ASSIGNED, m_szBuffer);

			ReadFile(m_hFile, m_szBuffer, 48, &dwBytesRead, NULL);
			m_szBuffer[48] = 0;
			SetDlgItemText(IDC_TYPE, m_szBuffer);

			ReadFile(m_hFile, m_szBuffer, 48, &dwBytesRead, NULL);
			m_szBuffer[48] = 0;
			SetDlgItemText(IDC_SEVERITY, m_szBuffer);

			ReadFile(m_hFile, m_szBuffer, 48, &dwBytesRead, NULL);
			m_szBuffer[48] = 0;
			SetDlgItemText(IDC_PRIORITY, m_szBuffer);

			ReadFile(m_hFile, m_szBuffer, 48, &dwBytesRead, NULL);
			m_szBuffer[48] = 0;
			SetDlgItemText(IDC_DATE, m_szBuffer);

			ReadFile(m_hFile, m_szBuffer, 48, &dwBytesRead, NULL);
			m_szBuffer[48] = 0;
			SetDlgItemText(IDC_UPDATED, m_szBuffer);

			ReadFile(m_hFile, m_szBuffer, 48, &dwBytesRead, NULL);
			m_szBuffer[48] = 0;
			SetDlgItemText(IDC_PRODUCT, m_szBuffer);

			ReadFile(m_hFile, m_szBuffer, 48, &dwBytesRead, NULL);
			m_szBuffer[48] = 0;
			SetDlgItemText(IDC_VERSION, m_szBuffer);

			ReadFile(m_hFile, m_szBuffer, 48, &dwBytesRead, NULL);
			m_szBuffer[48] = 0;
			SetDlgItemText(IDC_BUILD, m_szBuffer);

			ReadFile(m_hFile, m_szBuffer, 48, &dwBytesRead, NULL);
			m_szBuffer[48] = 0;
			SetDlgItemText(IDC_SOURCE, m_szBuffer);

			ReadFile(m_hFile, m_szBuffer, 48, &dwBytesRead, NULL);
			m_szBuffer[48] = 0;
			SetDlgItemText(IDC_SRC_ID, m_szBuffer);

			ReadFile(m_hFile, m_szBuffer, 48, &dwBytesRead, NULL);
			m_szBuffer[48] = 0;
			SetDlgItemText(IDC_FOUND, m_szBuffer);

			ReadFile(m_hFile, m_szBuffer, 48, &dwBytesRead, NULL);
			m_szBuffer[48] = 0;
			SetDlgItemText(IDC_DATE_OPENED, m_szBuffer);

			ReadFile(m_hFile, m_szBuffer, 48, &dwBytesRead, NULL);
			m_szBuffer[48] = 0;
			SetDlgItemText(IDC_OPENED_BY, m_szBuffer);

			ReadFile(m_hFile, m_szBuffer, 48, &dwBytesRead, NULL);
			m_szBuffer[48] = 0;
			SetDlgItemText(IDC_RESOLUTION, m_szBuffer);

			ReadFile(m_hFile, m_szBuffer, 48, &dwBytesRead, NULL);
			m_szBuffer[48] = 0;
			SetDlgItemText(IDC_BUILD_FIXED, m_szBuffer);

			ReadFile(m_hFile, m_szBuffer, 48, &dwBytesRead, NULL);
			m_szBuffer[48] = 0;
			SetDlgItemText(IDC_CAUSE, m_szBuffer);

			ReadFile(m_hFile, m_szBuffer, 48, &dwBytesRead, NULL);
			m_szBuffer[48] = 0;
			SetDlgItemText(IDC_CHANGE, m_szBuffer);

			ReadFile(m_hFile, m_szBuffer, 48, &dwBytesRead, NULL);
			m_szBuffer[48] = 0;
			SetDlgItemText(IDC_DATE_FIXED, m_szBuffer);

			ReadFile(m_hFile, m_szBuffer, 48, &dwBytesRead, NULL);
			m_szBuffer[48] = 0;
			SetDlgItemText(IDC_FIXED_BY, m_szBuffer);

			ReadFile(m_hFile, m_szBuffer, 48, &dwBytesRead, NULL);
			m_szBuffer[48] = 0;
			SetDlgItemText(IDC_DATE_CLOSED, m_szBuffer);

			ReadFile(m_hFile, m_szBuffer, 48, &dwBytesRead, NULL);
			m_szBuffer[48] = 0;
			SetDlgItemText(IDC_CLOSED_BY, m_szBuffer);

			ReadFile(m_hFile, m_szBuffer, 512, &dwBytesRead, NULL);
			m_szBuffer[512] = 0;
			SetDlgItemText(IDC_DESCRIPTION, m_szBuffer);
	    }
	}
	else
	{ 
		MessageBox("Could not open file.");  
		PostMessage(WM_CLOSE);
	}
	SetDlgItemText(IDC_STATUS, "Closed");
	return TRUE;
} // OnInitDialog

void CReportDialog::OnOK()
{
	if (m_hFile != INVALID_HANDLE_VALUE)
	{
		DWORD dwBytesWritten;

		SetFilePointer(m_hFile, 0, 0, FILE_BEGIN);

		memset(m_szBuffer, ' ', sizeof(m_szBuffer));
		GetDlgItemText(IDC_TITLE, m_szBuffer, 128);
		WriteFile(m_hFile, m_szBuffer, 128, &dwBytesWritten, NULL);

		memset(m_szBuffer, ' ', sizeof(m_szBuffer));
		GetDlgItemText(IDC_ORG, m_szBuffer, 128);
		WriteFile(m_hFile, m_szBuffer, 128, &dwBytesWritten, NULL);

		memset(m_szBuffer, ' ', sizeof(m_szBuffer));
		GetDlgItemText(IDC_ASSIGNED, m_szBuffer, 48);
		WriteFile(m_hFile, m_szBuffer, 48, &dwBytesWritten, NULL);

		memset(m_szBuffer, ' ', sizeof(m_szBuffer));
		GetDlgItemText(IDC_TYPE, m_szBuffer, 48);
		WriteFile(m_hFile, m_szBuffer, 48, &dwBytesWritten, NULL);

		memset(m_szBuffer, ' ', sizeof(m_szBuffer));
		GetDlgItemText(IDC_SEVERITY, m_szBuffer, 48);
		WriteFile(m_hFile, m_szBuffer, 48, &dwBytesWritten, NULL);

		memset(m_szBuffer, ' ', sizeof(m_szBuffer));
		GetDlgItemText(IDC_PRIORITY, m_szBuffer, 48);
		WriteFile(m_hFile, m_szBuffer, 48, &dwBytesWritten, NULL);

		memset(m_szBuffer, ' ', sizeof(m_szBuffer));
		GetDlgItemText(IDC_DATE, m_szBuffer, 48);
		WriteFile(m_hFile, m_szBuffer, 48, &dwBytesWritten, NULL);

		memset(m_szBuffer, ' ', sizeof(m_szBuffer));
		GetDlgItemText(IDC_UPDATED, m_szBuffer, 48);
		WriteFile(m_hFile, m_szBuffer, 48, &dwBytesWritten, NULL);

		memset(m_szBuffer, ' ', sizeof(m_szBuffer));
		GetDlgItemText(IDC_PRODUCT, m_szBuffer, 48);
		WriteFile(m_hFile, m_szBuffer, 48, &dwBytesWritten, NULL);

		memset(m_szBuffer, ' ', sizeof(m_szBuffer));
		GetDlgItemText(IDC_VERSION, m_szBuffer, 48);
		WriteFile(m_hFile, m_szBuffer, 48, &dwBytesWritten, NULL);

		memset(m_szBuffer, ' ', sizeof(m_szBuffer));
		GetDlgItemText(IDC_BUILD, m_szBuffer, 48);
		WriteFile(m_hFile, m_szBuffer, 48, &dwBytesWritten, NULL);

		memset(m_szBuffer, ' ', sizeof(m_szBuffer));
		GetDlgItemText(IDC_SOURCE, m_szBuffer, 48);
		WriteFile(m_hFile, m_szBuffer, 48, &dwBytesWritten, NULL);

		memset(m_szBuffer, ' ', sizeof(m_szBuffer));
		GetDlgItemText(IDC_SRC_ID, m_szBuffer, 48);
		WriteFile(m_hFile, m_szBuffer, 48, &dwBytesWritten, NULL);

		memset(m_szBuffer, ' ', sizeof(m_szBuffer));
		GetDlgItemText(IDC_FOUND, m_szBuffer, 48);
		WriteFile(m_hFile, m_szBuffer, 48, &dwBytesWritten, NULL);

		memset(m_szBuffer, ' ', sizeof(m_szBuffer));
		GetDlgItemText(IDC_DATE_OPENED, m_szBuffer, 48);
		WriteFile(m_hFile, m_szBuffer, 48, &dwBytesWritten, NULL);

		memset(m_szBuffer, ' ', sizeof(m_szBuffer));
		GetDlgItemText(IDC_OPENED_BY, m_szBuffer, 48);
		WriteFile(m_hFile, m_szBuffer, 48, &dwBytesWritten, NULL);

		memset(m_szBuffer, ' ', sizeof(m_szBuffer));
		GetDlgItemText(IDC_RESOLUTION, m_szBuffer, 48);
		WriteFile(m_hFile, m_szBuffer, 48, &dwBytesWritten, NULL);

		memset(m_szBuffer, ' ', sizeof(m_szBuffer));
		GetDlgItemText(IDC_BUILD_FIXED, m_szBuffer, 48);
		WriteFile(m_hFile, m_szBuffer, 48, &dwBytesWritten, NULL);

		memset(m_szBuffer, ' ', sizeof(m_szBuffer));
		GetDlgItemText(IDC_CAUSE, m_szBuffer, 48);
		WriteFile(m_hFile, m_szBuffer, 48, &dwBytesWritten, NULL);

		memset(m_szBuffer, ' ', sizeof(m_szBuffer));
		GetDlgItemText(IDC_CHANGE, m_szBuffer, 48);
		WriteFile(m_hFile, m_szBuffer, 48, &dwBytesWritten, NULL);

		memset(m_szBuffer, ' ', sizeof(m_szBuffer));
		GetDlgItemText(IDC_DATE_FIXED, m_szBuffer, 48);
		WriteFile(m_hFile, m_szBuffer, 48, &dwBytesWritten, NULL);

		memset(m_szBuffer, ' ', sizeof(m_szBuffer));
		GetDlgItemText(IDC_FIXED_BY, m_szBuffer, 48);
		WriteFile(m_hFile, m_szBuffer, 48, &dwBytesWritten, NULL);

		memset(m_szBuffer, ' ', sizeof(m_szBuffer));
		GetDlgItemText(IDC_DATE_CLOSED, m_szBuffer, 48);
		WriteFile(m_hFile, m_szBuffer, 48, &dwBytesWritten, NULL);

		memset(m_szBuffer, ' ', sizeof(m_szBuffer));
		GetDlgItemText(IDC_CLOSED_BY, m_szBuffer, 48);
		WriteFile(m_hFile, m_szBuffer, 48, &dwBytesWritten, NULL);

		memset(m_szBuffer, ' ', sizeof(m_szBuffer));
		GetDlgItemText(IDC_DESCRIPTION, m_szBuffer, 512);
		WriteFile(m_hFile, m_szBuffer, 512, &dwBytesWritten, NULL);

		CloseHandle(m_hFile);
	}
	CDialog::OnOK();
}

void CReportDialog::OnCancel()
{
	// Close the file if it is open
	if (m_hFile != INVALID_HANDLE_VALUE)
		CloseHandle(m_hFile);

	CDialog::OnCancel();
}
