<%@ Language=VBScript %>
<html>
	<head>
		<title>Resume</title>
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
	</head>
	<body>
<!-- #include file = "Header.inc" -->
<% 
	DataCategory = CInt(Session("DataCategory"))
	ID = Server.HTMLEncode(Request.QueryString("ID"))
	Name = Server.HTMLEncode(Request.QueryString("Name"))
%>
	<h1>Resume for <%=Name%></h1>
	
		<table ID="Table1">
			<tr bgcolor=#999999>
				<th>Category
				<th colspan=7>Data

<!-- #include file = "Password.inc" -->

<%
	' Connect to the DrOffice database
	Set oConn = CreateObject("adodb.connection")
	oConn.Open "DROfficeDB", "DBTest", Password
	
	' Setup the command object
	Set oCmd = CreateObject("adodb.command")
	oCmd.ActiveConnection = oConn
	oCmd.CommandType = 1
	oCmd.Prepared = true

	' If the user is an administrator then return all the rows
	' Otherwise only return the rows whose category matches the user's
	If DataCategory = 0 Then
		oCmd.CommandText = "Select Name, Data FROM DataCategory A, Resume B " &_
						   "WHERE ID = ? AND A.DataCategory=B.DataCategory "
		
		' Set the candidate ID and user data category parameters
		Set Parm1 = oCmd.CreateParameter("ID", 3, 1, 4, ID)
		oCmd.Parameters.Append parm1
	Else
		' Select the user's information from the resume table
		oCmd.CommandText = "SELECT Name, Data FROM DataCategory A, Resume B " &_
						   "WHERE ID = ? AND A.DataCategory=B.DataCategory " &_
						   "AND (B.DataCategory=0 OR B.DataCategory = ?)"
	
		' Set the candidate ID and user data category parameters
		Set Parm1 = oCmd.CreateParameter("ID", 3, 1, 4, ID)
		oCmd.Parameters.Append parm1
		Set Parm2 = oCmd.CreateParameter("DataCategory", 3, 1, 4, DataCategory)
		oCmd.Parameters.Append Parm2
	End if

	' Send the select statement to the database
	Set oRS = oCmd.Execute

	' Display each name from table
	Do while NOT oRS.EOF
		Data = Server.HTMLEncode(oRS("Data"))
		Category = Server.HTMLEncode(oRS("Name"))
%>
		<tr bgcolor=#cccccc align=left>
			<td><%=Category%>
			<td colspan=7><%=Data%>
<%
		oRS.MoveNext
	Loop

	Set oRS = Nothing
	Set oCmd = Nothing
	Set oConn = Nothing
%>
		</table>
	</body>
</html>
